import axios from "node_modules/axios/index";
import type { CreateAxiosDefaults } from "node_modules/axios/index";

export function createHttpInstance(options: CreateAxiosDefaults) {
  const instance = axios.create({
    timeout: 10000,
    ...options,
  });

  return {
    instance,
  };
}
